Loading...
Searching...
No Matches
Opm::MathToolbox< DenseAd::Evaluation< ValueT, numVars, staticSize > > Struct Template Reference

## Public Types

typedef ValueT | ValueType
typedef MathToolbox< ValueType > | InnerToolbox
typedef InnerToolbox::Scalar | Scalar
typedef DenseAd::Evaluation< ValueType, numVars, staticSize > | Evaluation

## Static Public Member Functions

static OPM_HOST_DEVICE ValueType | value (const Evaluation &eval)
static OPM_HOST_DEVICE decltype(InnerToolbox::scalarValue(0.0)) | scalarValue (const Evaluation &eval)
static OPM_HOST_DEVICE Evaluation | createBlank (const Evaluation &x)
static OPM_HOST_DEVICE Evaluation | createConstantZero (const Evaluation &x)
static OPM_HOST_DEVICE Evaluation | createConstantOne (const Evaluation &x)
static OPM_HOST_DEVICE Evaluation | createConstant (ValueType value)
static OPM_HOST_DEVICE Evaluation | createConstant (unsigned numDeriv, const ValueType value)
static OPM_HOST_DEVICE Evaluation | createConstant (const Evaluation &x, const ValueType value)
static OPM_HOST_DEVICE Evaluation | createVariable (ValueType value, int varIdx)
template<class LhsEval>
static OPM_HOST_DEVICE std::enable_if< std::is_same< Evaluation, LhsEval >::value, LhsEval >::type | decay (const Evaluation &eval)
template<class LhsEval>
static OPM_HOST_DEVICE std::enable_if< std::is_same< Evaluation, LhsEval >::value, LhsEval >::type | decay (const Evaluation &&eval)
template<class LhsEval>
static OPM_HOST_DEVICE std::enable_if< std::is_floating_point< LhsEval >::value, LhsEval >::type | decay (const Evaluation &eval)
static OPM_HOST_DEVICE bool | isSame (const Evaluation &a, const Evaluation &b, Scalar tolerance)
template<class Arg1Eval, class Arg2Eval>
static OPM_HOST_DEVICE Evaluation | max (const Arg1Eval &arg1, const Arg2Eval &arg2)
template<class Arg1Eval, class Arg2Eval>
static OPM_HOST_DEVICE Evaluation | min (const Arg1Eval &arg1, const Arg2Eval &arg2)
static OPM_HOST_DEVICE Evaluation | abs (const Evaluation &arg)
static OPM_HOST_DEVICE Evaluation | tan (const Evaluation &arg)
static OPM_HOST_DEVICE Evaluation | atan (const Evaluation &arg)
static OPM_HOST_DEVICE Evaluation | atan2 (const Evaluation &arg1, const Evaluation &arg2)
template<class Eval2>
static OPM_HOST_DEVICE Evaluation | atan2 (const Evaluation &arg1, const Eval2 &arg2)
template<class Eval1>
static OPM_HOST_DEVICE Evaluation | atan2 (const Eval1 &arg1, const Evaluation &arg2)
static OPM_HOST_DEVICE Evaluation | sin (const Evaluation &arg)
static OPM_HOST_DEVICE Evaluation | asin (const Evaluation &arg)
static OPM_HOST_DEVICE Evaluation | cos (const Evaluation &arg)
static OPM_HOST_DEVICE Evaluation | acos (const Evaluation &arg)
static OPM_HOST_DEVICE Evaluation | sqrt (const Evaluation &arg)
static OPM_HOST_DEVICE Evaluation | exp (const Evaluation &arg)
static OPM_HOST_DEVICE Evaluation | log (const Evaluation &arg)
static OPM_HOST_DEVICE Evaluation | log10 (const Evaluation &arg)
template<class RhsValueType>
static OPM_HOST_DEVICE Evaluation | pow (const Evaluation &arg1, const RhsValueType &arg2)
template<class RhsValueType>
static OPM_HOST_DEVICE Evaluation | pow (const RhsValueType &arg1, const Evaluation &arg2)
static OPM_HOST_DEVICE Evaluation | pow (const Evaluation &arg1, const Evaluation &arg2)
static OPM_HOST_DEVICE bool | isfinite (const Evaluation &arg)
static OPM_HOST_DEVICE bool | isnan (const Evaluation &arg)
static OPM_HOST_DEVICE Scalar | sinh (Scalar arg)
| The sine hyperbolicus of a value.
static OPM_HOST_DEVICE Scalar | asinh (Scalar arg)
| The arcus sine hyperbolicus of a value.
static OPM_HOST_DEVICE Scalar | cosh (Scalar arg)
| The cosine hyperbolicus of a value.
static OPM_HOST_DEVICE Scalar | acosh (Scalar arg)
| The arcus cosine hyperbolicus of a value.

The documentation for this struct was generated from the following file:

- opm/material/densead/Math.hpp